
From: Adrian Bunk <bunk@stusta.de>

Since MAX_KEY no longer has any user in other files, it can be made static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiserfs/stree.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiserfs/stree.c~fs-reiserfs-streec-make-max_key-static fs/reiserfs/stree.c
--- 25/fs/reiserfs/stree.c~fs-reiserfs-streec-make-max_key-static	2005-05-13 22:42:00.000000000 -0700
+++ 25-akpm/fs/reiserfs/stree.c	2005-05-13 22:42:00.000000000 -0700
@@ -223,7 +223,7 @@ extern struct tree_balance * cur_tb;
 const struct reiserfs_key  MIN_KEY = {0, 0, {{0, 0},}};
 
 /* Maximal possible key. It is never in the tree. */
-const struct reiserfs_key  MAX_KEY = {
+static const struct reiserfs_key  MAX_KEY = {
 	__constant_cpu_to_le32(0xffffffff),
 	__constant_cpu_to_le32(0xffffffff),
 	{{__constant_cpu_to_le32(0xffffffff),
_
